#include <bits/stdc++.h>

using namespace std;

vector<int> a;
vector<int> prefa;
vector<bool> sol;

int main()
{
    int n;
    cin >> n;

    for(int i = 0; i < n; i++)
    {
        int x;
        cin >> x;
        a.push_back(x);
        prefa.push_back(0);
    }

    for(int i = 1; i < n; i++)
    {
        if(a[i] < a[i - 1])
        {
            prefa[i]++;
        }
    }

    for(int i = 1; i < n; i++)
    {
        prefa[i] += prefa[i - 1];
    }

    int q;
    cin >> q;

    for(int i = 0; i < q; i++)
    {
        int l;
        int r;

        cin >> l;
        cin >> r;

        if(prefa[r - 1] - prefa[l - 1] > 1)
        {
            sol.push_back(false);
        }
        else
        {
            sol.push_back(true);
        }
    }

    for(int i= 0; i < q; i++)
    {
        if(sol[i])
            cout << "DA" << '\n';
        else
            cout << "NE" << '\n';
    }

    return 0;
}